%define pkg_name        Test-WWW-Simple
%define pkg_version     0.26
%define rpm_pkg_version 0.26
%define rpm_pkg_release 1.n0i.4

Summary:       Test Web applications using TAP
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/modules/by-module/Test/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::LongString)
BuildRequires: perl(Test::Tester)
BuildRequires: perl(HTML::TreeBuilder)
BuildRequires: perl(WWW::Mechanize)


%description
Test::WWW::Simple is a very basic class for testing Web applications and
Web pages. It uses WWW::Mechanize to fetch pages, and Test::Builder to
implement TAP (Test Anything Protocol) for the actual testing.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_mod}


%build
%{perl_build}
# internet connection required
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Sat Sep 22 2007 Marius Feraru <altblue@n0i.net> - 0.26-1.n0i.4
- version 0.26

* Wed Sep 19 2007 Marius Feraru <altblue@n0i.net> - 0.24-2.n0i.3
- spec file (re)created using N0i::CPAN::RPMizer/1.14.11
- rebuild

* Sun Jun 04 2006 Marius Feraru <altblue@n0i.net> - 0.24-1.n0i.2
- version 0.24

* Fri Apr 14 2006 Marius Feraru <altblue@n0i.net> 0.23-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer v1.12.1
- rebuild on perl 5.8.8
